Bug 28491 - Provide switcherLook for LookSelector
Provide switcherLook for LookSelector
Status: CLOSED FIXED
Product: utilities
Classification: Unclassified
Component: Search
3.x
PC Linux
: P1 (vote)
: 3.x
Assigned To: Jiri Rechtacek
issues@utilities
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-05 17:33 UTC by Pavel Flaska
Modified: 2003-07-01 15:52 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
a patch, add all looks to viewAs (6.79 KB, patch)
2002-11-05 18:29 UTC, Jiri Rechtacek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Flaska 2002-11-05 17:33:03 UTC
Consider situation:

You have two classes:
Class1;
Class2 extends Class1.

Also you have:
LookSelector1 for Class1 representedObject;
LookSelector2 for Class2 represtenedObject.

If I use switcherLook and I have selected Class2
instance, I expect that LookSelector1 and
LookSelector2 will be available in "View As" menu.
But I have got only the final look in LookSelector2.

My request: There should be available
LookSelectors in View As menu.
Comment 1 Jiri Rechtacek 2002-11-05 18:29:05 UTC
Created attachment 7857 [details]
a patch, add all looks to viewAs
Comment 2 Jiri Rechtacek 2002-11-05 18:48:21 UTC
The attached patch adds all looks for represented object found in the
selectors.
There is a question:
If I have a selector LS. LS contains the selectors LS1, LS2 and a look
L1 for represented object O.
LS1 contains the looks L11, L12 and LS2 contains look L21.
Should the viewAs action offer something like this?
LookNode->ViewAs->L11
                ->L12
                ->L21
                ->L1

Or should offer only the selectors and looks at the top level like this?
LookNode->ViewAs->LS1
                ->LS2
                ->L1
If yes than the viewAs action can switch only to looks L11, L21, L2.
The look L22 won't be accesible by this action.
Which way is more suitable?
Comment 3 Pavel Flaska 2002-11-06 09:41:08 UTC
Thanks for the patch, it seems it works as I expected.
First way is correct in my opinion.
Comment 4 Jiri Rechtacek 2002-11-06 18:48:55 UTC
implemented in looks_jul_2002_private branch.
The first way was chosen.
Comment 5 Quality Engineering 2003-07-01 15:47:28 UTC
Resolved for 3.4.x or earlier, no new info since then -> verified
Comment 6 Quality Engineering 2003-07-01 15:52:38 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo